## GflsUtf8 GflsUtf8 — Functions for UTF-8 strings |

## Functions

gboolean | gfls_utf8_has_very_long_line ()

## Includes

    #include <gfls/gfls.h>

## Description

Additional functions for UTF-8 strings, to complement what is provided by GLib.

## Functions

### gfls_utf8_has_very_long_line ()

    gboolean
    gfls_utf8_has_very_long_line (const gchar *str,
                                  guint max_n_bytes_per_line);

Returns `TRUE` if a line in `str` exceeds `max_n_bytes_per_line` .

For performance reasons, `str` is not checked whether it is a valid UTF-8 string. So you must call for example `g_utf8_validate()` beforehand.

#### Parameters

str | a UTF-8 nul-terminated string. |
max_n_bytes_per_line | the maximum number of bytes per line, without counting the newline character(s). |

#### Returns

`TRUE` if `str` contains a very long line, `FALSE` otherwise.

Since: 0.1